Page MenuHomePhabricator

Parser.php: Call to a member function get() on a non-object (null)
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

Request ID: AWatIjn9N-apXXYuWE6H

message
Call to a member function get() on a non-object (null)
trace
#0 /srv/mediawiki/php-1.33.0-wmf.1/includes/parser/Parser.php(5967): Parser->makeLegacyAnchor(string)
#1 /srv/mediawiki/php-1.33.0-wmf.1/includes/EditPage.php(4656): Parser->guessLegacySectionNameFromWikiText(string)
#2 /srv/mediawiki/php-1.33.0-wmf.1/includes/EditPage.php(2235): EditPage->guessSectionName(string)
#3 /srv/mediawiki/php-1.33.0-wmf.1/includes/EditPage.php(1574): EditPage->internalAttemptSave(NULL, boolean)
#4 /srv/mediawiki/php-1.33.0-wmf.1/includes/EditPage.php(677): EditPage->attemptSave(NULL)
#5 /srv/mediawiki/php-1.33.0-wmf.1/includes/actions/EditAction.php(60): EditPage->edit()
#6 /srv/mediawiki/php-1.33.0-wmf.1/includes/actions/SubmitAction.php(38): EditAction->show()
#7 /srv/mediawiki/php-1.33.0-wmf.1/includes/MediaWiki.php(501): SubmitAction->show()
#8 /srv/mediawiki/php-1.33.0-wmf.1/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#9 /srv/mediawiki/php-1.33.0-wmf.1/includes/MediaWiki.php(860): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.33.0-wmf.1/includes/MediaWiki.php(517): MediaWiki->main()
#11 /srv/mediawiki/php-1.33.0-wmf.1/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Impact

high error rate when promoting group2 to 1.33.0-wmf.1

Notes

Event Timeline

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-10-25T21:35:45Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: rolling back group1 refs T206655 T208000

mmodell triaged this task as Unbreak Now! priority.Oct 25 2018, 9:44 PM

Change 469798 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[mediawiki/core@master] Fix use of non-existent variable Parser::$config

https://gerrit.wikimedia.org/r/469798

Change 469799 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[mediawiki/core@wmf/1.33.0-wmf.1] [1.33.0-wmf.1] Fix use of non-existent variable Parser::$config

https://gerrit.wikimedia.org/r/469799

Change 469798 merged by jenkins-bot:
[mediawiki/core@master] Fix use of non-existent variable Parser::$config

https://gerrit.wikimedia.org/r/469798

Change 469799 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.1] [1.33.0-wmf.1] Fix use of non-existent variable Parser::$config

https://gerrit.wikimedia.org/r/469799

Mentioned in SAL (#wikimedia-operations) [2018-10-25T23:59:29Z] <twentyafterfour@deploy1001> Synchronized php-1.33.0-wmf.1/includes/parser/Parser.php: deploy https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/469799/ refs T208000 (duration: 00m 56s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM